Name:           Intel-WiMAX-Binary-Supplicant
Version:        1.4.0.2
Release:        2.1.moblin2
Summary:        Supplicant for the WiMAX Network Service

Group:          System Environment/Daemons
License:        Redistributable, no modification permitted
URL:            http://linuxwimax.org/Download
Source0:        Intel-WiMAX-Binary-Supplicant-%{version}.tar.bz2

%description
This package contains the binary supplicant for the Intel WiMAX
Network Service. 

%prep

%setup

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p \
    $RPM_BUILD_ROOT/usr/lib/wimax/
install -m 0644 moblin-alpha3/libwpa_wimax_supplicant.so.0 $RPM_BUILD_ROOT/usr/lib/wimax/
ln -sf libwpa_wimax_supplicant.so.0 $RPM_BUILD_ROOT/usr/lib/wimax/libwpa_wimax_supplicant.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_libdir}/wimax/libwpa_wimax_supplicant.so*



%changelog
* Thu May 14 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 1.4.0.2
- Add (again) correct binary build for moblin-alpha3
* Wed May 13 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 1.4.0.2
- Revert new binary as it is not working reliable; hack support for older binary with newer openssl
* Tue May 12 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 1.4.0.2
- Use binary built for moblin-alpha3 to fix dependency on current openssl
* Wed Feb 11 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 1.4.0.1
- Use a bianry built for fc10, which links better against the openssl in moblin
* Tue Feb 10 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 1.4.0
- Fine tuning and final packaging
* Tue Feb 10 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 1.4.0
- Initial packaging
